
tellraw @s [{"translate": " "}]

execute if score dragonhealth trueEnding_settings matches ..1024 run tellraw @s [{"translate": "","color": "gray"},{"translate": "ⓘ ","hoverEvent":{"action":"show_text","contents":[{"translate":"Allows you to change the starting health of the Ender Dragon"},{"text":"\nVanilla Health: 200 HP\nTrue Ending (Default): 300 HP","color": "gray"}]}},{"translate":"Dragon Health: ","color":"gray"},{"translate":"","color":"light_purple","underlined":true,"hoverEvent":{"action":"show_text","contents":[{"translate":"Click to change Soul despawntime (Minutes)"}]},"clickEvent":{"action":"suggest_command","value":"/scoreboard players set @s trueEnding_settings.dragonhealth 300"}},{"score":{"name": "dragonhealth","objective": "trueEnding_settings"},"color":"light_purple","underlined":true,"hoverEvent":{"action":"show_text","contents":[{"translate":"Click to change Soul despawntime (Minutes)"}]},"clickEvent":{"action":"suggest_command","value":"/scoreboard players set @s trueEnding_settings.dragonhealth 300"}},{"translate":" HP","color":"light_purple","underlined":true,"hoverEvent":{"action":"show_text","contents":[{"translate":"Click to change dragon health"}]},"clickEvent":{"action":"suggest_command","value":"/scoreboard players set @s trueEnding_settings.dragonhealth 300"}}]

execute if score dragonhealth trueEnding_settings matches 1025.. run tellraw @s [{"translate": "","color": "gray"},{"color":"yellow","translate": "ⓘ➕ ","hoverEvent":{"action":"show_text","contents":[{"translate":"➕ The health limit for entities is 1024. To go around this, True Ending will add extra health to the Ender Dragon that will be displayed on an additional bossbar.\n\n","color": "yellow"},{"translate":"Allows you to change the starting health of the Ender Dragon","color": "white"},{"text":"\nVanilla Health: 200 HP\nTrue Ending (Default): 300 HP","color": "gray"}]}},{"translate":"Dragon Health: ","color":"gray"},{"translate":"","color":"light_purple","underlined":true,"hoverEvent":{"action":"show_text","contents":[{"translate":"Click to change Soul despawntime (Minutes)"}]},"clickEvent":{"action":"suggest_command","value":"/scoreboard players set @s trueEnding_settings.dragonhealth 300"}},{"score":{"name": "dragonhealth","objective": "trueEnding_settings"},"color":"light_purple","underlined":true,"hoverEvent":{"action":"show_text","contents":[{"translate":"Click to change Soul despawntime (Minutes)"}]},"clickEvent":{"action":"suggest_command","value":"/scoreboard players set @s trueEnding_settings.dragonhealth 300"}},{"translate":" HP","color":"light_purple","underlined":true,"hoverEvent":{"action":"show_text","contents":[{"translate":"Click to change dragon health"}]},"clickEvent":{"action":"suggest_command","value":"/scoreboard players set @s trueEnding_settings.dragonhealth 300"}}]

tellraw @s [{"translate": " "}]


execute if score ambience trueEnding_settings matches 1 run tellraw @s [{"translate": "","color": "gray"},{"translate": "ⓘ ","hoverEvent":{"action":"show_text","contents":[{"translate":"Controls the intensity of ambient particles around the arena and player. Some particles are controlled with moving markers so setting this to Reduced or Disabled can help both clients and the serverside performance"}]}},{"translate":"Ambient Particles: ","color":"gray"},{"translate":"All Particles","color":"green","underlined":true,"hoverEvent":{"action":"show_text","contents":[{"translate":"Click to change this setting"}]},"clickEvent":{"action":"run_command","value":"/function true_ending:action/ambience_2"}}]
execute if score ambience trueEnding_settings matches 2 run tellraw @s [{"translate": "","color": "gray"},{"translate": "ⓘ ","hoverEvent":{"action":"show_text","contents":[{"translate":"Controls the intensity of ambient particles around the arena and player. Some particles are controlled with moving markers so setting this to Reduced or Disabled can help both clients and the serverside performance"}]}},{"translate":"Ambient Particles: ","color":"gray"},{"translate":"Reduced Particles","color":"yellow","underlined":true,"hoverEvent":{"action":"show_text","contents":[{"translate":"Click to change this setting"}]},"clickEvent":{"action":"run_command","value":"/function true_ending:action/ambience_0"}}]
execute if score ambience trueEnding_settings matches 0 run tellraw @s [{"translate": "","color": "gray"},{"translate": "ⓘ ","hoverEvent":{"action":"show_text","contents":[{"translate":"Controls the intensity of ambient particles around the arena and player. Some particles are controlled with moving markers so setting this to Reduced or Disabled can help both clients and the serverside performance"}]}},{"translate":"Ambient Particles: ","color":"gray"},{"translate":"Disabled","color":"red","underlined":true,"hoverEvent":{"action":"show_text","contents":[{"translate":"Click to change this setting"}]},"clickEvent":{"action":"run_command","value":"/function true_ending:action/ambience_1"}}]


tellraw @s [{"translate": " "}]


execute if score globalsound trueEnding_settings matches 1 run tellraw @s [{"translate": "","color": "gray"},{"translate": "ⓘ ","hoverEvent":{"action":"show_text","contents":[{"translate":"The sound that plays globally to all players in the End dimension when the Ender Dragon is respawned"}]}},{"translate":"Dimensionwide Dragon Respawn Sound: ","color":"gray"},{"translate":"Enabled","color":"green","underlined":true,"hoverEvent":{"action":"show_text","contents":[{"translate":"Click to change this setting"}]},"clickEvent":{"action":"run_command","value":"/function true_ending:action/globalsound_0"}},{"text": " "},{"translate":"♪ Listen","color":"#408CFF","underlined":true,"hoverEvent":{"action":"show_text","contents":[{"translate":"Click to listen to this sound"}]},"clickEvent":{"action":"run_command","value":"/function true_ending:action/globalsound_preview"}}]
execute if score globalsound trueEnding_settings matches 0 run tellraw @s [{"translate": "","color": "gray"},{"translate": "ⓘ ","hoverEvent":{"action":"show_text","contents":[{"translate":"The sound that plays globally to all players in the End dimension when the Ender Dragon is respawned"}]}},{"translate":"Dimensionwide Dragon Respawn Sound: ","color":"gray"},{"translate":"Disabled","color":"red","underlined":true,"hoverEvent":{"action":"show_text","contents":[{"translate":"Click to change this setting"}]},"clickEvent":{"action":"run_command","value":"/function true_ending:action/globalsound_1"}},{"text": " "},{"translate":"♪ Listen","color":"#408CFF","underlined":true,"hoverEvent":{"action":"show_text","contents":[{"translate":"Click to listen to this sound"}]},"clickEvent":{"action":"run_command","value":"/function true_ending:action/globalsound_preview"}}]


tellraw @s [{"translate": " "}]




tellraw @s [{"translate": " ","color": "yellow"},{"translate":"Reset Settings","color":"#787e8a","underlined":true,"hoverEvent":{"action":"show_text","contents":[{"translate":"Click to reset settings to default"}]},"clickEvent":{"action":"run_command","value":"/function true_ending:other/reset_settings"}},{"translate":"    - 1/3 -     ","color": "gray","italic": false},{"translate":"","color": "yellow"},{"translate":"Page 2 -->","color":"yellow","underlined":false,"hoverEvent":{"action":"show_text","contents":[{"translate":"Next Page"}]},"clickEvent":{"action":"run_command","value":"/function true_ending:settings/2"}}]

tellraw @s [{"translate": " "}]
